/* Add your custom styles above this comment */

/* Override Bootstrap styles as needed */

body {
    background-color: #dfd9d9d4;
    color: #333;
}
.navigator-container {
    margin-bottom: 20px;
    padding-bottom: 20px;
}

.footer-container {
    background-color: #f8f9fa;
    padding: 10px;
    text-align: center;
    margin-top: 20px;
    width: 100%;
}
.container {
    background-image: url('path/to/your/background-image.jpg');
    padding-top: 20px;
    background-size: cover;
    background-position: center;
    color: #333;
}

.button-container {
    margin-top: 20px;
    text-align: center;
}

.button {
    display: inline-block;
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin: 0 10px;
}

.button-monitor {
    background-color: #4caf50;
}

.button-clients {
    background-color: #f44336;
}

.button-devices {
    background-color: #2196f3;
}

.button-summary {
    background-color: #ff9800;
}

.button-export {
    background-color: #ff5722;
    color: #fff;
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin: 10px;
}

.button-export:hover {
    background-color: #ff4500;
}

.btn-primary {
    margin-top: 10px;
    margin-right: 10px;
}

.btn-danger {
    margin-top: 10px;
}

.table th,
h1,
p,
.col-md-12,
.table td {
    text-align: center;
    vertical-align: middle;
}

.table thead th {
    font-size: 16px;
    font-weight: 600;
    color: #f5f5f5;
    background-color: #22222abd;
}

.table tbody td {
    font-size: 14px;
}

.table-hover tbody tr:hover {
    background-color: #f5f5f5;
}

.table-hover tbody tr:hover td {
    color: #333;
}

.circle-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.circle {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    font-size: 20px;
}

.gray {
    color: gray;
}

.red {
    color: red;
}

.green {
    color: lime;
}

.chart-container {
    display: block;
    box-sizing: border-box;
    width: 100%;
    /* Adjust width as needed */
    /* height: 400px;
    overflow: auto; */
    /* Adjust height as needed */
}

.charts-container {
    width: 75%;
    height: 550px; /* Adjust the height as needed */
    overflow: hidden scroll;
}
#model-container {
    padding-top: 20px;
    display: flex;
    align-items: flex-start;
    height: 70vh;
    flex-wrap: nowrap;
    flex-direction: row;
    align-content: stretch;
    justify-content: space-between;
}

.form-container {
    max-width: 400px;
    padding: 20px;
    background-color: #f2f2f2;
    border-radius: 5px;
    text-align: center;
    margin: 0 auto;
}

.form-container h2 {
    margin-top: 0;
    margin-bottom: 20px;
}

.form-container label {
    display: block;
    margin-bottom: 10px;
    text-align: left;
    font-weight: bold;
}

.form-container input,
.form-container select {
    width: 100%;
    padding: 8px 10px;
    margin-bottom: 20px;
    border-radius: 4px;
}

.form-container button {
    width: 100%;
    margin: 0px;
    background-color: #4caf50;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.form-container button:hover {
    background-color: #45a049;
}
canvas.chart-highlight {
    position: relative;
}

canvas.chart-highlight[data-highlight="true"] {
    z-index: 2;
}

canvas.chart-highlight[data-highlight="true"]::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(255, 255, 0, 0.5);
    pointer-events: none;
}


.handle {
    width: 10px;
    height: 10px;
    background-color: #000;
    position: absolute;
    top: 50px;
    left: 50px;
    cursor: grab;
  }